# $Revision: 1.33 $, $Date: 2004/08/17 11:46:09 $
Summary:	Library that provides function textures for WindowMaker
Summary(pl):	Biblioteka dostarczajca funkcje tekstur dla WindowMakera
Name:		libwmfun
Version:	0.0.4
Release:	4
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
# Source0-md5:	af1ad49bada4b8f0df9377a133f109c4
Patch0:		%{name}-fix.patch
BuildRequires:	XFree86-devel
BuildRequires:	WindowMaker-devel >= 0.63.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libwmfun is a library that provides function textures for WindowMaker.
For more info see %{_defaultdocdir}/%{name}-%{version}/README* after
installing this package.

%description -l pl
libwmfun jest bibliotek dla WindowMakera, ktra wyposaa go w funkcje
tworzenia tekstur. Wicej informacji mona znale po zainstalowaniu
tego pakietu w %{_defaultdocdir}/%{name}-%{version}/README*.

%package devel
Summary:	Header files etc to develop libwmfun applications
Summary(pl):	Pliki nagwkowe i inne do libwmfun
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	WindowMaker-devel >= 0.63.1
Requires:	freetype-devel >= 2.0.0

%description devel
Header files etc to develop libwmfun applications.

%description devel -l pl
Pliki nagwkowe i inne do libwmfun.

%package static
Summary:	Static libwmfun library
Summary(pl):	Biblioteka statyczna libwmfun
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwmfun library.

%description static -l pl
Biblioteka statyczna libwmfun.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -I/usr/include/freetype2"
%configure \
	--enable-static
%{__make} \
	LXLIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS WMFun-demo.style
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwmfun.spec,v $
Revision 1.33  2004/08/17 11:46:09  ankry
- rel. 4 to rebuild

Revision 1.32  2004/06/15 08:23:38  krolik
- rel. 3

Revision 1.31  2004/03/31 21:07:19  qboosh
- added fix patch, release 2 for Ac

Revision 1.30  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:50:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.27  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.26  2002/11/25 14:17:08  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.23  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.21  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/02 10:54:18  qboosh
- updated to 0.0.4 - builds with current WindowMaker libs API
- BR: freetype-devel

Revision 1.17  2001/12/02 10:00:37  kloczek
- start release 3,
- added regeneratre ac/am/lt files but not compilec (neccessary help for
  fix thix).

Revision 1.16  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.15  2001/02/10 04:22:11  kloczek
- release 2: rebuild against WindowMaker 0.63.1.

Revision 1.14  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  1999/10/10 09:55:07  pius
- updated to 0.0.2
- cosmetics

Revision 1.7  1999/09/01 23:18:17  kloczek
- added static subpackage.

Revision 1.6  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1.1-3]
- added devel subpackage,
- added using %%configure macro.

* Tue Jul 6 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.1.1-2]
- rewritten for PLD use,
- based on spec file by Ryan Weaver <ryanw@infohwy.com>.
